package cn.iocoder.yudao.module.pms.service.qhse.safe;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.pms.controller.admin.qhse.safe.vo.QhseSafeDayPageReqVO;
import cn.iocoder.yudao.module.pms.controller.admin.qhse.safe.vo.QhseSafeDaySaveReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.qhse.safe.QhseSafeDayDO;

import javax.validation.Valid;
import java.util.List;

/**
 * QHSE_安全生产天数 Service 接口
 *
 * @author 超级管理员
 */
public interface QhseSafeDayService {

    /**
     * 创建QHSE_安全生产天数
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createQhseSafeDay(@Valid QhseSafeDaySaveReqVO createReqVO);

    /**
     * 更新QHSE_安全生产天数
     *
     * @param updateReqVO 更新信息
     */
    void updateQhseSafeDay(@Valid QhseSafeDaySaveReqVO updateReqVO);

    /**
     * 删除QHSE_安全生产天数
     *
     * @param id 编号
     */
    void deleteQhseSafeDay(Long id);

    /**
     * 获得QHSE_安全生产天数
     *
     * @param id 编号
     * @return QHSE_安全生产天数
     */
    QhseSafeDayDO getQhseSafeDay(Long id);

    /**
     * 获得QHSE_安全生产天数分页
     *
     * @param pageReqVO 分页查询
     * @return QHSE_安全生产天数分页
     */
    PageResult<QhseSafeDayDO> getQhseSafeDayPage(QhseSafeDayPageReqVO pageReqVO);

    List<QhseSafeDayDO> getDayByDept(Long deptId);
    List<QhseSafeDayDO> getByName(String name);
}